package com.hys.app.converter.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.model.base.CharacterConstant;
import com.hys.app.model.erp.dos.GoodsDO;
import com.hys.app.model.erp.dos.GoodsLabelDO;
import com.hys.app.model.erp.dos.GoodsLabelRelationDO;
import com.hys.app.model.erp.dto.GoodsDTO;
import com.hys.app.model.erp.dto.ProductDTO;
import com.hys.app.model.erp.vo.GoodsVO;
import com.hys.app.model.erp.vo.ProductVO;
import com.hys.app.model.goods.dos.BrandDO;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import com.hys.app.model.goods.vo.GoodsParamsGroupVO;
import com.hys.app.service.base.SensitiveFilter;
import org.mapstruct.Mapper;
import org.mapstruct.Mapping;
import org.mapstruct.MappingConstants;

import java.util.Comparator;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

import static com.hys.app.framework.util.CollectionUtils.convertMap;

/**
 * 商品 Convert
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface GoodsConverter {
    WebPage<GoodsVO> convert(WebPage<GoodsDO> webPage);




}

