package com.hys.app.converter.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.model.erp.dos.*;
import com.hys.app.model.erp.dto.WarehouseOutDTO;
import com.hys.app.model.erp.vo.WarehouseAreaVO;
import com.hys.app.model.erp.vo.WarehouseOutItemVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;

import java.util.ArrayList;
import java.util.List;

/**
 * 出库单商品明细 Convert
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface WarehouseAreaConverter {


    List<WarehouseAreaVO> convert(List<WarehouseAreaDO> list);

    WebPage<WarehouseAreaVO> convert(WebPage<WarehouseAreaDO> webPage);

    WarehouseAreaVO convert(WarehouseAreaDO warehouseAreaDO);

    WarehouseAreaDO convert(WarehouseAreaVO warehouseAreaVO);

}

