package com.hys.app.mapper.erp;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.hys.app.framework.cache.MybatisRedisCache;
import com.hys.app.framework.database.mybatisplus.base.BaseMapperX;
import com.hys.app.model.erp.dos.AreaStock;
import com.hys.app.model.erp.dos.ChangeForm;
import com.hys.app.model.erp.dos.WarehouseAreaDO;
import com.hys.app.model.erp.dto.ChangeFormStatisticsQueryParam;
import com.hys.app.model.erp.vo.ChangeFormStatistics;
import org.apache.ibatis.annotations.CacheNamespace;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * 换货单Mapper
 * @author dmy
 * 2023-12-05
 */
public interface AreaStockMapper extends BaseMapperX<AreaStock> {

}