package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * 产品查询参数
 *
 * @author 张崧
 * 2023-11-30 16:06:44
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class ProductGroupQueryParams extends BaseQueryParam {

    @ApiModelProperty(name = "keyword", value = "订单选择的分组类型")
    private String orderChooseType;

    List<Long> stockId;

    Integer warnNum;

}

