package com.hys.app.model.erp.dto;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import com.hys.app.model.goods.dos.GoodsParamsDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 商品新增/编辑DTO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
public class SaleChannelDTO {

    @JsonIgnore
    @ApiModelProperty(hidden = true)
    private Long id;


    @ApiModelProperty(name = "name", value = "名称")
    private String name;

    @ApiModelProperty(name = "intro", value = "介绍")
    private String intro;

    @ApiModelProperty(name = "main_user", value = "负责人")
    private String mainUser;

    @ApiModelProperty(name = "bonus", value = "佣金")
    private Float bonus;

    @ApiModelProperty(name = "create_time", value = "创建时间")
    private Long createTime;

    @ApiModelProperty(name = "status", value = "状态")
    private String status;


}

