package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 入库单查询参数
 *
 * @author 张崧
 * @since 2023-12-05 11:25:07
 */
@Data
public class WareQueryGoodParams {

    @ApiModelProperty( value = "仓库ID")
    @NotNull
    private Long warehouseId;

    @ApiModelProperty( value = "商品ID")
    @NotEmpty
    private List<Long> goodIds;
}

