package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 出库单商品明细查询参数
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class WarehouseAreaQueryParams extends BaseQueryParam {

    @ApiModelProperty(name = "warehouse_id", value = "仓库id")
    private Long warehouseId;
    
    @ApiModelProperty(name = "code", value = "库位编号")
    private String code;
    
    @ApiModelProperty(name = "code", value = "库位名称")
    private String name;
    
    @ApiModelProperty(name = "status", value = "状态")
    private String status;
    
}

