package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.CustomerDO;
import com.hys.app.model.erp.dos.EnterpriseDO;
import com.hys.app.model.erp.dto.CustomerDTO;
import io.swagger.annotations.ApiModel;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 企业详情
 *
 * @author 张崧
 * 2024-03-25 15:44:10
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@ApiModel(value = "客户信息")
public class CustomerVO extends CustomerDO {

}

