package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.StockInventory;
import com.hys.app.model.erp.enums.StockInventoryStatusEnum;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.io.Serializable;

/**
 * 库存盘点单操作类
 *
 * @author dmy
 * 2023-12-06
 */
@Data
public class StockInventoryAllowable implements Serializable {

    private static final long serialVersionUID = 3969479363772175894L;

    @ApiModelProperty(name = "allow_edit", value = "是否允许编辑")
    private Boolean allowEdit;

    @ApiModelProperty(name = "allow_delete", value = "是否允许删除")
    private Boolean allowDelete;

    @ApiModelProperty(name = "allow_submit", value = "是否允许提交")
    private Boolean allowSubmit;

    @ApiModelProperty(name = "allow_audit", value = "是否允许审核")
    private Boolean allowAudit;

    @ApiModelProperty(name = "allow_cancel", value = "是否允许撤销")
    private Boolean allowCancel;
}
