package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.AreaStock;
import com.hys.app.model.erp.dos.StockTransferProductDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import javax.validation.constraints.Min;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 调拨单商品明细VO
 *
 * @author 张崧
 * @since 2023-12-12 16:34:15
 */
@Data
public class StockTransferProductVO {
    private Long id;

    @ApiModelProperty(name = "product_id", value = "skuid")
    private Long productId;

    @ApiModelProperty(name = "num", value = "调拨数量")
    private Integer num;

    @ApiModelProperty(name = "num", value = "库存数量")
    private Integer useAbleNum;

    private GoodsVO goodsVO;

    private ProductVO productVO;

    private List<AreaStock> areaStockList;

}

