package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.AreaStock;
import com.hys.app.model.erp.dos.WarehouseAreaDO;
import com.hys.app.model.erp.dos.WarehouseDO;
import com.hys.app.model.erp.dos.WarehouseOutItemDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

import java.util.List;

/**
 * 出库单商品明细详情
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@NoArgsConstructor
public class WarehouseAreaVO extends WarehouseAreaDO {

    @ApiModelProperty(name = "warehouse", value = "所属仓库信息")
    private WarehouseDO warehouse;

    private  List<AreaStock> areaStockVO;

    private long bindNum;

}

