package com.hys.app.model.goods.enums;


/**
 * 权限枚举
 * @author fk
 * @version v2.0
 * @since v7.0.0
 * 2018年3月20日 上午10:39:41
 */
public enum Permission {
	
	/**
	 * 卖家权限
	 */
	SELLER,
	
	/**
	 * 买家权限
	 */
	BUYER,
	
	/**
	 * 管理员权限
	 */
	ADMIN,
	/**
	 * 加盟商权限
	 */
	FRANCHISE,
	/**
	 * 不验证权限
	 */
	CLIENT

}
