package com.hys.app.model.system.vo;

/**
 * 管理员登录vo
 *
 * @author zh
 * @version v7.0
 * @date 18/6/27 上午9:28
 * @since v7.0
 */

public class AdminLoginVO {
    /**
     * 平台管理员id
     */
    private Long uid;
    /**
     * 管理员名称
     */
    private String username;
    /**
     * 部门
     */
    private String department;
    /**
     * 头像
     */
    private String face;

    /**
     * 角色id
     */
    private Long roleId;
    /**
     * 是否是超级管理员
     */
    private Integer founder;
    /**
     * token
     */
    private String accessToken;
    /**
     * 刷新token
     */
    private String refreshToken;
    /**
     * 部门id
     */
    private Long deptId;

    public Long getUid() {
        return uid;
    }

    public void setUid(Long uid) {
        this.uid = uid;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getDepartment() {
        return department;
    }

    public void setDepartment(String department) {
        this.department = department;
    }

    public String getFace() {
        return face;
    }

    public void setFace(String face) {
        this.face = face;
    }

    public Long getRoleId() {
        return roleId;
    }

    public void setRoleId(Long roleId) {
        this.roleId = roleId;
    }

    public Integer getFounder() {
        return founder;
    }

    public void setFounder(Integer founder) {
        this.founder = founder;
    }

    public String getAccessToken() {
        return accessToken;
    }

    public void setAccessToken(String accessToken) {
        this.accessToken = accessToken;
    }

    public String getRefreshToken() {
        return refreshToken;
    }

    public void setRefreshToken(String refreshToken) {
        this.refreshToken = refreshToken;
    }

    public Long getDeptId() {
        return deptId;
    }

    public void setDeptId(Long deptId) {
        this.deptId = deptId;
    }

    @Override
    public String toString() {
        return "AdminLoginVO{" +
                "uid=" + uid +
                ", username='" + username + '\'' +
                ", department='" + department + '\'' +
                ", face='" + face + '\'' +
                ", roleId=" + roleId +
                ", founder=" + founder +
                ", accessToken='" + accessToken + '\'' +
                ", refreshToken='" + refreshToken + '\'' +
                '}';
    }
}
