package com.hys.app.pay.ali;

import lombok.Data;

import java.time.LocalDateTime;

//与阿里交互的对象
@Data
public class PayOrder {
    private String traceNo;//我们的订单号

    private Double totalAmount;//总金额

    private String subject;//标题

    private String alipayTraceNo;//阿里的流水号

    private String[] queryOptions;//指定需要返回的参数

    private LocalDateTime timeExpire;//绝对超时时间

    private String openId;

}
