package com.hys.app.pay.wx;

import com.github.binarywang.wxpay.config.WxPayConfig;
import com.github.binarywang.wxpay.service.WxPayService;
import com.github.binarywang.wxpay.service.impl.WxPayServiceImpl;
import lombok.Data;
import org.springframework.beans.factory.annotation.Value;
import org.springframework.context.annotation.Configuration;
import org.springframework.stereotype.Component;

@Data
@Configuration
public class WxConfig {

    @Value("${wxpay.appId}")
    private String appId;
    @Value("${wxpay.mchId}")
    private String mchId;
    @Value("${wxpay.mchKey}")
    private String mchKey;
    @Value("${wxpay.keyPath}")
    private String keyPath;
    @Value("${wxpay.apiV3Key}")
    private String apiV3Key;
    @Value("${wxpay.notifyUrl}")
    private String notifyUrl;
    @Value("${wxpay.subMchId}")
    private String subMchId;
    @Value("${wxpay.secret}")
    private String secret;
    @Value("${wxpay.oAuth2Url}")
    private String oAuth2Url;
}
