package com.hys.app.service.erp.impl;

import com.hys.app.framework.database.mybatisplus.base.BaseServiceImpl;
import com.hys.app.mapper.erp.AreaStockMapper;
import com.hys.app.model.erp.dos.AreaStock;
import com.hys.app.service.erp.AreaStockManager;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * 出库单商品明细业务层实现
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
@Service
@AllArgsConstructor
public class AreaStockManagerImpl extends BaseServiceImpl<AreaStockMapper, AreaStock> implements AreaStockManager {

}

