package com.hys.app.service.erp.impl;

import com.baomidou.mybatisplus.core.toolkit.support.SFunction;
import com.hys.app.converter.erp.OrderItemConverter;
import com.hys.app.framework.database.WebPage;
import com.hys.app.framework.database.mybatisplus.base.BaseServiceImpl;
import com.hys.app.mapper.erp.OrderItemMapper;
import com.hys.app.mapper.erp.OrderSendItemMapper;
import com.hys.app.model.erp.dos.OrderItemDO;
import com.hys.app.model.erp.dos.OrderSendItemDO;
import com.hys.app.model.erp.dto.OrderItemQueryParams;
import com.hys.app.model.erp.vo.OrderItemVO;
import com.hys.app.service.erp.OrderItemManager;
import com.hys.app.service.erp.OrderSendItemManager;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.Collection;
import java.util.List;
import java.util.Map;

/**
 * 订单明细业务层实现
 *
 * @author 张崧
 * 2024-01-24 16:39:39
 */
@Service
public class OrderSendItemManagerImpl extends BaseServiceImpl<OrderSendItemMapper, OrderSendItemDO> implements OrderSendItemManager {

}

