package com.hys.app.service.kuaidiniao.entity;

import com.baomidou.mybatisplus.annotation.TableField;
import com.hys.app.model.erp.vo.OrderSendItemVO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Max;
import java.util.List;

/**
 * 预下单参数
 */
@Data
public class PreOrderModelDTO extends PreOrderModel{

    private List<OrderSendItemVO> orderItemVOS;

    @ApiModelProperty(name = "kdn_order_code", value = "快递鸟单号")
    private String kdnOrderCode;

    @ApiModelProperty("快递公司代码")
    private String  logisticsType;

    @ApiModelProperty("快递单号")
    private String  logisticsCode;

    @ApiModelProperty("寄件人手机号后四位")
    private String  logisticsPhone;



    private String sendAddress;

    private String receiveAddress;


    @ApiModelProperty(value = "备注")
    private String remark;


}
