package com.hys.app.service.kuaidiniao.entity;


import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;

/**
 * 快递鸟  预下单商品接收类
 */
@Data
public class resReturnBackBase {

    //返回码 100表示成功//1001，失败不再接收数据//1002，失败请重新推送
    private Integer resultCode = 100;

    //描述
    private String reason = "接收成功";

    //数据签名
    @JsonFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    @DateTimeFormat(pattern = "yyyy-MM-dd HH:mm:ss")
    private LocalDateTime responseTime = LocalDateTime.now();

    //快递鸟单号
    private String kdnOrderCode;

}
