package com.hys.app.converter.erp;

import com.hys.app.framework.database.WebPage;
import com.hys.app.model.erp.dos.CustomerDO;
import com.hys.app.model.erp.dos.PostDO;
import com.hys.app.model.erp.dto.CustomerDTO;
import com.hys.app.model.erp.dto.PostDTO;
import com.hys.app.model.erp.vo.CustomerVO;
import com.hys.app.model.erp.vo.PostVO;
import org.mapstruct.Mapper;
import org.mapstruct.MappingConstants;

import java.util.List;

/**
 * 岗位 Convert
 *
 * @author 张崧
 * 2023-11-29 17:15:22
 */
@Mapper(componentModel = MappingConstants.ComponentModel.SPRING)
public interface CustomerConverter {
    CustomerDO convert(CustomerDTO request);
    
    CustomerVO convert(CustomerDO request);
    
    WebPage<CustomerVO> convert(WebPage<CustomerDO> webPage);

    List<CustomerVO> convert(List<CustomerDTO> list);
}

