package com.hys.app.model.erp.dos;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.hys.app.framework.database.mybatisplus.base.BaseDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;


/**
 * 商品实体类
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@TableName("erp_user_menu")
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class UserMenuDO extends BaseDO {

    private static final long serialVersionUID = 1L;

    @TableId(type = IdType.ASSIGN_ID)
    @ApiModelProperty(hidden = true)
    private Long id;

    @ApiModelProperty(name = "menu_id", value = "菜单id")
    private Long menuId;



    @ApiModelProperty(name = "user_id", value = "用户id")
    private Long userId;



    @ApiModelProperty(name = "create_time", value = "创建时间")
    private Long createTime;
}
