package com.hys.app.model.erp.dto;

import com.fasterxml.jackson.annotation.JsonIgnore;
import com.hys.app.model.goods.dos.GoodsGalleryDO;
import com.hys.app.model.goods.dos.GoodsParamsDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import javax.validation.Valid;
import javax.validation.constraints.Min;
import javax.validation.constraints.NotBlank;
import javax.validation.constraints.NotEmpty;
import javax.validation.constraints.NotNull;
import java.util.List;

/**
 * 商品新增/编辑DTO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
public class GoodsSnDTO {

    @ApiModelProperty(name = "sku_id", value = "skuId")
    @NotNull(message = "skuId不能为空")
    private Long productId;

    @ApiModelProperty(name = "sku_id", value = "skuId")
    private Integer num= 1;

    @ApiModelProperty(name = "sku_id", value = "skuId")
    private String snCode;

    @ApiModelProperty(name = "type", value = "skuId")
    private String type;
}

