package com.hys.app.model.erp.dto;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;
import org.elasticsearch.action.fieldstats.FieldStats;
import org.springframework.format.annotation.DateTimeFormat;

import java.time.LocalDateTime;
import java.util.Date;

/**
 * 出库单查询参数
 *
 * @author 张崧
 * @since 2023-12-07 16:50:20
 */
@Data
public class LockedStockParams extends BaseQueryParam {

    

    private Long startTime;

    private Long endTime;


    @ApiModelProperty(name = "status", value = "状态")
    private Boolean status;

}

