package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

import java.util.List;

/**
 * 删除库失记录
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
@ToString(callSuper = true)
public class ProductStockDeleteReq {


    @ApiModelProperty(name = "id", value = "库存记录id")
    private List<Long> ids;

    
}

