package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 会员分页查询参数
 *
 * @author 张崧
 * 2024-01-23 09:28:16
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@ApiModel(value = "渠道查询")
public class SaleChannelQueryParams extends BaseQueryParam {

    
    @ApiModelProperty(name = "name", value = "名称")
    private String name;
    
    @ApiModelProperty(name = "status", value = "状态")
    private String status;
    

    
}

