package com.hys.app.model.erp.dto;

import com.hys.app.framework.database.BaseQueryParam;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 商品标签分页查询参数
 *
 * @author 张崧
 * 2024-03-20 16:23:19
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
@ApiModel(value = "用户菜单搜索")
public class UserMenuQueryParams extends BaseQueryParam {



    @ApiModelProperty(name = "user_id", value = "用户id")
    private Long userId;



}

