package com.hys.app.model.erp.vo;

import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
/**
 * 平台管理员实体VO
 *
 * @author zh
 * @version v7.0
 * @since v7.0.0
 * 2018-06-20 20:38:26
 */
@Data
public class AdminUserVO1 {
    @ApiModelProperty(name = "id", value = "管理员名称")
    private Long id;
    /**
     * 管理员名称
     */
    @ApiModelProperty(name = "username", value = "管理员名称", required = false)
    private String username;
    /**
     * 权限id
     */
    @ApiModelProperty(name = "role_id", value = "权限id", required = false)
    private Long roleId;
    /**
     * 创建日期
     */
    @ApiModelProperty(name = "date_line", value = "创建日期", required = false)
    private Long dateLine;
    /**
     * 备注
     */
    @ApiModelProperty(name = "remark", value = "备注", required = false)
    private String remark;
    /**
     * 是否删除
     */
    @ApiModelProperty(name = "user_state", value = "是否删除,0为正常,-1为删除状态", required = false)
    private Integer userState;
    /**
     * 管理员真实姓名
     */
    @ApiModelProperty(name = "real_name", value = "管理员真实姓名", required = false)
    private String realName;
    /**
     * 头像
     */
    @ApiModelProperty(name = "face", value = "头像", required = false)
    private String face;
    /**
     * 是否为超级管理员
     */
    @ApiModelProperty(name = "founder", value = "是否为超级管理员,1为超级管理员,0为其他", required = false)
    private Integer founder;
    /**
     * 用户编号
     */
    @ApiModelProperty(name = "sn", value = "用户编号", required = false)
    private String sn;
    /**
     * 所属岗位id
     */
    @ApiModelProperty(name = "post_id", value = "所属岗位id", required = false)
    private Long postId;
    /**
     * 顺序
     */
    @ApiModelProperty(name = "nickname", value = "顺序", required = false)
    private Integer sort;
    /**
     * 昵称
     */
    @ApiModelProperty(name = "nickname", value = "昵称", required = false)
    private String nickname;
}
