package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.GoodsSnDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.ToString;

/**
 * 商品VO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
@EqualsAndHashCode(callSuper = true)
@ToString(callSuper = true)
public class GoodsSnCountVO extends GoodsSnDO {

    @ApiModelProperty(name = "goodsVO", value = "商品信息")
    private GoodsVO goodsVO;




    @ApiModelProperty(name = "count", value = "统计数量")
    private Integer count;
}

