package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.GoodsSnDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

/**
 * 商品VO
 *
 * @author 张崧
 * 2023-12-26 15:56:58
 */
@Data
public class SkuRedisDO   {

    @ApiModelProperty(name = "sendOrderId", value = "发货单id")
    private String sendOrderId;

    @ApiModelProperty(name = "itemId", value = "详情id")
    private String itemId;

    @ApiModelProperty(name = "goodsVO", value = "sku")
    private GoodsSnDO sku;

    @ApiModelProperty("操作类型  如果是进入页面带 enter   扫描不用传值")
    private String  type;
}

