package com.hys.app.model.erp.vo;

import com.hys.app.model.erp.dos.WarehouseDO;
import com.hys.app.model.erp.dos.WarehouseOutItemDO;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;
import lombok.NoArgsConstructor;
import lombok.ToString;

/**
 * 出库单商品明细详情
 *
 * @author 张崧
 * @since 2023-12-07 17:06:32
 */
@Data
@ToString(callSuper = true)
@NoArgsConstructor
public class WarehouseOutItemV1  {
    @ApiModelProperty(name = "id", value = "出库单项id")
    private Long id;


    @ApiModelProperty(name = "sn", value = "出库单编号")
    private String sn;


    @ApiModelProperty(name = "warehouse_name", value = "仓库名称")
    private String warehouseName;


    @ApiModelProperty(name = "goods_sn", value = "商品编号")
    private String goodsSn;


    @ApiModelProperty(name = "goods_name", value = "商品名称")
    private String goodsName;


    @ApiModelProperty(name = "goods_category", value = "商品分类")
    private String goodsCategory;


    @ApiModelProperty(name = "goods_style", value = "商品规格")
    private String goodsStyle;



    @ApiModelProperty(name = "qty", value = "库存")
    private String qty;

}