package com.hys.app.model.system.vo;

import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

@ApiModel(description = "管理后台 - 部门信息 Response VO")
@Data
@EqualsAndHashCode(callSuper = true)
public class DeptRespVO extends DeptBaseVO {

    @ApiModelProperty(value = "部门编号", example = "1024")
    private Long id;

    @ApiModelProperty(value = "创建时间", example = "时间戳格式")
    private Long createTime;

}
