package com.hys.app.service.erp.impl;

import com.hys.app.framework.database.mybatisplus.base.BaseServiceImpl;
import com.hys.app.mapper.erp.ItemSnCodeMapper;
import com.hys.app.model.erp.dos.ItemSnCodeDO;
import com.hys.app.service.erp.ItemSnCodeManager;
import lombok.AllArgsConstructor;
import org.springframework.stereotype.Service;

/**
 * 入库单业务层实现
 *
 * @author 张崧
 * @since 2023-12-05 11:25:07
 */
@Service
@AllArgsConstructor
public class ItenSnCodeManagerImpl extends BaseServiceImpl<ItemSnCodeMapper, ItemSnCodeDO> implements ItemSnCodeManager {
}

