package com.hys.app.service.kuaidiniao;


import io.swagger.annotations.ApiModelProperty;

/**
 * 快递鸟接口指令常量类
 */
public class KdConstants {
    @ApiModelProperty(value = "预下单")
    public static final String preOrder = "2201";
    @ApiModelProperty(value = "下单")
    public static final String createOrder = "2202";
    @ApiModelProperty(value = "预取消下单")
    public static final String preCancelOrder = "2203";
    @ApiModelProperty(value = "取消下单")
    public static final String cancelOrder = "2204";
    @ApiModelProperty(value = "查询轨迹")
    public static final String queryTrajectory = "2206";
    @ApiModelProperty(value = "加价")
    public static final String markPrice = "2207";
    @ApiModelProperty(value = "订单加价类型查询接口")
    public static final String markPriceType = "2208";
    @ApiModelProperty(value = "订单加价详情查询接口")
    public static final String queryMarkPrice = "2209";
    @ApiModelProperty(value = "创建门店接口")
    public static final String createStore = "2211";
    @ApiModelProperty(value = "修改门店接口")
    public static final String updateStore = "2212";
    @ApiModelProperty(value = "图片上传接口")
    public static final String uploadPic = "2213";
    @ApiModelProperty(value = "创建品牌接口")
    public static final String createBrand = "2214";
    @ApiModelProperty(value = "查询路由轨迹地图接口")
    public static final String queryRoad = "2215";


    @ApiModelProperty(value = "查询门店创建状态")
    public static final String queryStoreStatus = "2218";

    @ApiModelProperty(value = "查询路由轨迹地图接口")
    public static final String orderLogistics = "8808";


    @ApiModelProperty(value = "回调")
    public static final String callBack = "103";
    @ApiModelProperty(value = "推送待接单状态")
    public static final String callBackPreAccept = "100";
    @ApiModelProperty(value = "推送业务员接单状态")
    public static final String callBackAccept = "201";
    @ApiModelProperty(value = "推送业务员到达状态")
    public static final String callBackAttain = "202";
    @ApiModelProperty(value = "推送配送中状态")
    public static final String callBackSending = "300";
    @ApiModelProperty(value = "正常签收")
    public static final String callBackSign = "401";
    @ApiModelProperty(value = "退回签收")
    public static final String callBackSignRefuse = "402";
    @ApiModelProperty(value = "推送取消状态")
    public static final String callBackCancelStatus = "500";
    @ApiModelProperty(value = "推送下单失败状态")
    public static final String callBackCreateOrderFail = "600";
    @ApiModelProperty(value = "推送订单费用状态")
    public static final String callBackFeeStatus = "206";
}
