package com.hys.app.service.kuaidiniao.entity;


import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

/**
 * 快递鸟  预下单商品接收类
 */
@Data
public class KdGood {

    @ApiModelProperty(value = "商品三级编码")
    private String categoryThree = "2197";

    @ApiModelProperty(value = "物品名称")
    private String goodsName;

    @ApiModelProperty(value = "物品价格")
    private Double goodsPrice=0.01;

    @Range(min = 1, max = 99)
    @ApiModelProperty(value = "数量")
    private Integer quantity;

    @ApiModelProperty(value = "物品单位（箱/件）")
    private String unit = "件";
}
