package com.hys.app.service.kuaidiniao.entity;

import com.alibaba.fastjson.JSON;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import org.hibernate.validator.constraints.Range;

/**
 * 推送下单失败状态
 */
@Data
public class ReturnCreateOrderFail {
    @ApiModelProperty(value = "快递鸟订单号")
    private String kdnOrderCode ="22e";

    @ApiModelProperty(value = "商家订单号")
    private String orderCode ="333";

    @ApiModelProperty(value = "订单状态")
    private Integer orderStatus =12;

    @ApiModelProperty(value = "失败代码")
    private Integer failCode =33;

    @ApiModelProperty(value = "失败原因")
    private String failReason ="rfssd";

    @ApiModelProperty(value = "备注")
    private String remark ="eeeew";

    @ApiModelProperty(value = "请求时间毫秒级时间戳")
    private Long requestTime =222222222L;
}
